# Generated from wayback_machine_downloader-2.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wayback_machine_downloader

Name: rubygem-%{gem_name}
Version: 2.3.1
Release: 1%{?dist}
Summary: Download an entire website from the Wayback Machine
License: MIT
URL: https://github.com/hartator/wayback-machine-downloader
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(minitest) >= 5.2
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Download an entire website from the Wayback Machine. Wayback Machine by
Internet Archive (archive.org) is an awesome tool to view any website at any
point of time but lacks an export feature. Wayback Machine Downloader brings
exactly this.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/wayback_machine_downloader
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 2.3.1-1
- Initial package
